de.dhbwstuttgart.syntaxtree.statement

## Class WhileStmt

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.WhileStmt

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class WhileStmt
    extends Statement

### Field Summary

Fields
`Expr` `expr`
`Statement` `loop_block`
`protected static Logger` `parserlog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`WhileStmt(int offset, int variableLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Menge<SyntaxTreeNode>` `getChildren()`
`int` `getTypeLineNumber()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `set_Expr(Expr exp)`
`void` `set_Loop_block(Statement blk)`
`java.lang.String` `toString()` Author: Martin PlÃ¯Â¿Â½micke
`ConstraintsSet` `TYPEStmt(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### expr

    public Expr expr

#### loop_block

    public Statement loop_block

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### WhileStmt

    public WhileStmt(int offset,
                     int variableLength)

### Method Detail

#### set_Expr

    public void set_Expr(Expr exp)

#### set_Loop_block

    public void set_Loop_block(Statement blk)

#### toString

    public java.lang.String toString()

Author: Martin PlÃ¯Â¿Â½micke

Overrides:
  `toString` in class `java.lang.Object`
Returns:

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEStmt

    public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

Specified by:
  `TYPEStmt` in class `Statement`

#### getTypeLineNumber

    public int getTypeLineNumber()

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`